Summary: Library to make writing a vnc server easy
Name:    libvncserver
Version: 0.9.8
Release: 1
# NOTE: --with-tightvnc-filetransfer => GPLv2
License: GPLv2+
Group:   System Environment/Libraries
URL:     http://libvncserver.sourceforge.net/
Source0: http://downloads.sf.net/libvncserver/LibVNCServer-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

# upstream name
Obsoletes: LibVNCServer < %{version}-%{release}
Provides:  LibVNCServer = %{version}-%{release}

BuildRequires: libjpeg-devel, zlib-devel
Requires: libjpeg, zlib

%description
LibVNCServer makes writing a VNC server (or more correctly, a program
exporting a framebuffer via the Remote Frame Buffer protocol) easy.

It hides the programmer from the tedious task of managing clients and
compression schemata.


%package devel
Summary: Development files for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: libjpeg-devel, zlib-devel
Provides: LibVNCServer-devel = %{version}-%{release}

%description devel
%{summary}.


%prep
%setup -q -n LibVNCServer-%{version}

# fix source perms
find -name "*.c" -o -name "*.h" | xargs chmod 644


%build
# setup environment for 32-bit and 64-bit builds
export AR="ar -X32_64"
export NM="nm -X32_64"

# first build the 64-bit version
export CC="xlc -q64"
./configure \
    --prefix=%{_prefix} \
    --enable-shared --disable-static \
    --with-tightvnc-filetransfer \
    --with-x
make %{?_smp_mflags}

cp ./libvncclient/.libs/libvncclient.so.0 .
cp ./libvncserver/.libs/libvncserver.so.0 .
make distclean

# now build the 32-bit version
export CC="xlc"
./configure \
    --prefix=%{_prefix} \
    --enable-shared --disable-static \
    --with-tightvnc-filetransfer \
    --with-x
make %{?_smp_mflags}

# add the 64-bit shared objects to the shared library containing already the
# 32-bit shared objects
${AR} -q ./libvncclient/.libs/libvncclient.a ./libvncclient.so.0
${AR} -q ./libvncserver/.libs/libvncserver.a ./libvncserver.so.0


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

(
  cd ${RPM_BUILD_ROOT}
  for dir in bin include lib
  do
    mkdir -p usr/${dir}
    cd usr/${dir}
    ln -sf ../..%{_prefix}/${dir}/* .
    cd -
  done
)


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_libdir}/*.a
/usr/lib/*.a


%files devel
%defattr(-,root,system,-)
%{_bindir}/*-config
%{_includedir}/*
%{_libdir}/*.la
/usr/bin/*-config
/usr/include/*
/usr/lib/*.la


%changelog
* Thu Mar 31 2011 Michael Perzl <michael@perzl.org> - 0.9.8-1
- updated to version 0.9.8

* Thu Sep 24 2009 Michael Perzl <michael@perzl.org> - 0.9.7-1
- first version for AIX V5.1 and higher
